%define module	ExtUtils-PerlPP
%define version 0.03
%define release 3mdk
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl >= 5.600
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc CHANGES README

%changelog
* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.03-3mdk
- Remove the hardcoded references to Vendor and Distribution.
- Rebuild against the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.03-2mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit
- run automated tests

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com>  0.03-1mdk
- First Mandrake release

